"use strict";Object.defineProperty(exports, "__esModule", {value: true}); function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; } function _nullishCoalesce(lhs, rhsFn) { if (lhs != null) { return lhs; } else { return rhsFn(); } }

var _chunkRQF2QV5Ucjs = require('./chunk-RQF2QV5U.cjs');


var _chunkHZLMNKL7cjs = require('./chunk-HZLMNKL7.cjs');


var _chunk6XG57PHGcjs = require('./chunk-6XG57PHG.cjs');


var _chunkNQ65IHUAcjs = require('./chunk-NQ65IHUA.cjs');


var _chunkMC7TILQ6cjs = require('./chunk-MC7TILQ6.cjs');


var _chunkHMHMDCOKcjs = require('./chunk-HMHMDCOK.cjs');

// src/node/log/log-context-node.ts
var _process = require('process'); var _process2 = _interopRequireDefault(_process);
function Logger(name, level) {
  return _chunkMC7TILQ6cjs.getGlobalLogger.call(void 0, (context) => {
    const handlers = [
      _chunkHZLMNKL7cjs.LoggerNodeHandler.call(void 0, {
        padding: 32,
        nameBrackets: false
        // levelHelper: false,
      })
    ];
    const logFilePath = _nullishCoalesce(_process2.default.env.ZEED_LOG, () => ( _process2.default.env.LOG));
    const time = _chunkHMHMDCOKcjs.valueToBoolean.call(void 0, _process2.default.env.ZEED_TIME, true);
    const pretty = _chunkHMHMDCOKcjs.valueToBoolean.call(void 0, _process2.default.env.ZEED_PRETTY, false);
    if (logFilePath)
      handlers.unshift(_chunkRQF2QV5Ucjs.LoggerFileHandler.call(void 0, _chunk6XG57PHGcjs.toPath.call(void 0, logFilePath), { time, pretty }));
    context.setHandlers(handlers);
  })(name, level);
}
function LoggerFromConfig(config, name, level) {
  return _chunkNQ65IHUAcjs._LoggerFromConfig.call(void 0, Logger, config, name, level);
}




exports.Logger = Logger; exports.LoggerFromConfig = LoggerFromConfig;
//# sourceMappingURL=chunk-42SHAUVU.cjs.map