"use strict";

var _chunkXXEOX3J7cjs = require('../../chunk-XXEOX3J7.cjs');
require('../../chunk-62FVEJL6.cjs');


var _chunkMOA6L574cjs = require('../../chunk-MOA6L574.cjs');
require('../../chunk-RUOHVTBN.cjs');
require('../../chunk-OA4HK3MT.cjs');
require('../../chunk-MKPXOLNJ.cjs');
require('../../chunk-2X2KSRJH.cjs');
require('../../chunk-4B2XCWGL.cjs');
require('../../chunk-5CIFX7O6.cjs');
require('../../chunk-RQERABKF.cjs');
require('../../chunk-MC7TILQ6.cjs');
require('../../chunk-77UGQWYH.cjs');
require('../../chunk-CE2FX4SJ.cjs');
require('../../chunk-BBX7CCGY.cjs');
require('../../chunk-UKD65B23.cjs');
require('../../chunk-DCCSUOSM.cjs');
require('../../chunk-J42M6DF3.cjs');
require('../../chunk-N46W55MH.cjs');
require('../../chunk-L646RZQB.cjs');
require('../../chunk-ZYPCVNSG.cjs');
require('../../chunk-XV5FJ2SJ.cjs');
require('../../chunk-A4VFMLAN.cjs');
require('../../chunk-R7WMTFSS.cjs');
require('../../chunk-DRTH56G4.cjs');
require('../../chunk-RKOTNV3K.cjs');
require('../../chunk-XWE2OTGL.cjs');
require('../../chunk-KTC5RW57.cjs');
require('../../chunk-GU6AYGWK.cjs');
require('../../chunk-SNRM7OTJ.cjs');
require('../../chunk-ZGKV237Z.cjs');
require('../../chunk-7WFR6WZW.cjs');
require('../../chunk-N7OUNPMM.cjs');
require('../../chunk-MPD2DJAD.cjs');
require('../../chunk-YELWQAMG.cjs');
require('../../chunk-USVMO7UT.cjs');
require('../../chunk-TNS27NHR.cjs');
require('../../chunk-FEYF6QXS.cjs');
require('../../chunk-HMHMDCOK.cjs');
require('../../chunk-3SM3C7HY.cjs');
require('../../chunk-EE5CB3R7.cjs');
require('../../chunk-QYCE2TUJ.cjs');
require('../../chunk-5KIDARFB.cjs');
require('../../chunk-CEXYDYSH.cjs');
require('../../chunk-PJXRDQ2A.cjs');
require('../../chunk-6T6PI6XG.cjs');
require('../../chunk-XDY4SRCL.cjs');
require('../../chunk-FYLSPYV2.cjs');
require('../../chunk-YKRFYR2Q.cjs');
require('../../chunk-QU2LM4AI.cjs');
require('../../chunk-BMRI2X66.cjs');
require('../../chunk-66YRDFQP.cjs');
require('../../chunk-7FPSHSSO.cjs');

// src/common/msg/pubsub.spec.ts
describe("connection", () => {
  it("should send and receive messages", async () => {
    expect.assertions(3);
    const [f1, f2] = _chunkMOA6L574cjs.createLocalChannelPair.call(void 0, );
    const c1 = _chunkXXEOX3J7cjs.usePubSub.call(void 0, { channel: f1 });
    const c2 = _chunkXXEOX3J7cjs.usePubSub.call(void 0, { channel: f2 });
    let counter = 0;
    c1.on("bla", (a, b) => {
      counter -= b;
    });
    c2.on("bla", (a, b) => {
      counter += b;
      expect(a).toBe("hello");
    });
    await c1.emit("bla", "hello", 3);
    expect(counter).toBe(3);
    await c2.emit("bla", "hello2", 2);
    expect(counter).toBe(1);
  });
  it("should send and receive messages - alternative syntax", async () => {
    expect.assertions(3);
    const [f1, f2] = _chunkMOA6L574cjs.createLocalChannelPair.call(void 0, );
    const c1 = _chunkXXEOX3J7cjs.usePubSub.call(void 0, { channel: f1 });
    const c2 = _chunkXXEOX3J7cjs.usePubSub.call(void 0, { channel: f2 });
    let counter = 0;
    c1.subscribe("bla", (a, b) => {
      counter -= b;
    });
    c2.subscribe("bla", (a, b) => {
      counter += b;
      expect(a).toBe("hello");
    });
    await c1.publish("bla", "hello", 3);
    expect(counter).toBe(3);
    await c2.publish("bla", "hello2", 2);
    expect(counter).toBe(1);
  });
});
//# sourceMappingURL=pubsub.spec.cjs.map